WindowMaker-devel-0.95.8-3.3.x86_64.rpm


Advertisement

Description

WindowMaker-devel - Development files for WindowMaker

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename WindowMaker-devel-0.95.8-3.3.x86_64.rpm
Package name WindowMaker-devel
Package version 0.95.8
Package release 3.3
Package architecture x86_64
Package type rpm
Category Development/Libraries/X11
Homepage http://windowmaker.org/
License GPL-2.0+
Maintainer -
Download size 35.70 KB
Installed size 118.68 KB
This package contains the header files and libraries necessary for
developing applications which use WindowMaker.

Alternatives

Package Version Architecture Repository
WindowMaker-devel-0.95.8-3.3.i586.rpm 0.95.8 i586 openSUSE Oss
WindowMaker-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
WindowMaker = 0.95.8
pkgconfig(WUtil) -
pkgconfig(wrlib) -
pkgconfig(x11) -

Provides

Name Value
WindowMaker-devel = 0.95.8-3.3
WindowMaker-devel(x86-64) = 0.95.8-3.3
pkgconfig(WINGs) = 0.95.8
pkgconfig(WUtil) = 0.95.8
pkgconfig(wmlib) = 0.95.8
pkgconfig(wrlib) = 0.95.8

Download

Type URL
Mirror widehat.opensuse.org
Binary Package WindowMaker-devel-0.95.8-3.3.x86_64.rpm
Source Package WindowMaker-0.95.8-3.3.src.rpm

Install Howto

Install WindowMaker-devel rpm package:

# zypper install WindowMaker-devel

Files

Path
/usr/include/WMaker.h
/usr/include/wraster.h
/usr/include/WINGs/WINGs.h
/usr/include/WINGs/WINGsP.h
/usr/include/WINGs/WUtil.h
/usr/lib64/libWINGs.so
/usr/lib64/libWMaker.so
/usr/lib64/libWUtil.so
/usr/lib64/libwraster.so
/usr/lib64/pkgconfig/WINGs.pc
/usr/lib64/pkgconfig/WUtil.pc
/usr/lib64/pkgconfig/wmlib.pc
/usr/lib64/pkgconfig/wrlib.pc

Changelog

2017-12-20 - bwiedemann@suse.com
- Add WindowMaker-0.95.8-reproducible.patch to make build reproducible
2017-11-28 - crrodriguez@opensuse.org
- Remove xorg-x11-devel metapackage dependencies, replace it for
specific pkgconfig() buildrequires or automatically generated
ones for the -devel package
2017-03-14 - chris@computersalat.de
- Update to 0.95.8
* for changes and news see
http://repo.or.cz/wmaker-crm.git/blob/HEAD:/NEWS
http://repo.or.cz/wmaker-crm.git/blob/HEAD:/ChangeLog
- rework/rebase patches
* WindowMaker-menu.patch
* wm-giflib.patch
- some spec cleanup
* rename README.SuSE -> README.SUSE
2016-06-25 - chris@computersalat.de
- rebase patches (p0)
* WindowMaker-config.patch
* WindowMaker-menu.patch
* fix_wmgenmenu_paths.patch
* wm-giflib.patch
2016-03-22 - kmroz@suse.com
- Fix build breakace related to giflib < 5.1.
2016-03-22 - kmroz@suse.com
- Update to WindowMaker-0.95.7
- Small modification of wm-giflib.patch.
- Spec file fixes.
- Removed: WindowMaker-0.96.6.tar.gz
- Added: WindowMaker-0.96.7.tar.gz
2015-10-05 - mvetter@suse.com
- bsc#900820: Always use default openSUSE wallpaper for theme 'SUSE'.
2015-09-21 - mvetter@suse.com
- bsc#779179: Remove old SuSE wallpapers and add openSUSE ones.
2015-01-27 - jengelh@inai.de
- Update wm-giflib.patch to support giflib-5.1
2014-11-06 - kmroz@suse.com
- Update to WindowMaker-0.95.6
- Add: WindowMaker-0.95.6.tar.gz
- Remove: WindowMaker-0.95.5.tar.gz
- Update WindowMaker-menu.patch to reflect changed menu.nl in
0.95.6.
- Update fix_wmgenmenu_paths.patch as most changes are already
present in 0.95.6.
- Update wm-giflib.c to reflect code changes (ie. re-written
wrlib/gif.c with wrlib/load_gif.c). Not clear if this patch
is even needed, but keeping it around.

See Also

Package Description
WindowMaker-themes-0.1-395.6.noarch.rpm Themes for Window Maker
WoeUSB-3.3.0-1.1.i586.rpm Windows USB installation media creator
WoeUSB-3.3.0-1.1.x86_64.rpm Windows USB installation media creator
XyGrib-1.2.4-1.2.i586.rpm A weather visualization package
XyGrib-1.2.4-1.2.x86_64.rpm A weather visualization package
YODA-devel-1.7.0-1.7.i586.rpm A small set of data analysis classes for MC event generator validation analyses
YODA-devel-1.7.0-1.7.x86_64.rpm A small set of data analysis classes for MC event generator validation analyses
a2ps-4.14-11.1.i586.rpm Tool to convert ASCII/Latin Text into PostScript
a2ps-4.14-11.1.x86_64.rpm Tool to convert ASCII/Latin Text into PostScript
a2ps-devel-4.14-11.1.i586.rpm Library and header file for the interface of a2ps
a2ps-devel-4.14-11.1.x86_64.rpm Library and header file for the interface of a2ps
a2ps-h-20010113-679.1.noarch.rpm a2ps Support for Korean PostScript Filter (Python Version)
a52dec-0.7.5+svn613-3.1.i586.rpm ATSC A/52 stream decoder library
a52dec-0.7.5+svn613-3.1.x86_64.rpm ATSC A/52 stream decoder library
aaa_base-84.87+git20190418.d83e9d6-1.1.i586.rpm openSUSE Base Package
Advertisement
Advertisement